package com.muyu.common.cache;

import java.util.concurrent.TimeUnit;

/**
 * 缓存基础
 */
public interface CacheBasic<K, V> extends PrimaryKeyBasic<K> {

    /**
     * 添加
     */
    void put(K key, V value);

    /**
     * 获取
     */
    V get(K key);

    /**
     * 移除
     */
    void remove(K key);

    /**
     * 清空
     */
    void clear();
}
